package stx.libjava.tests;

import static org.junit.Assert.*;

import org.junit.Test;

import stx.libjava.groovy.GroovyShell;

public class GroovyShellTests {

    @Test
    public void test_imports_01() {
        GroovyShell shell = new GroovyShell();
        shell.evaluate("import stx.libjava.tests.mocks.b.*;");
        shell.evaluate("new B()");        
    }
    
    @Test
    public void test_regression_01() {
        GroovyShell shell = new GroovyShell();
        assertEquals(shell.evaluate("System.getProperty(\"java.classpath\")"),
                    System.getProperty("java.classpath"));
    }

}
