"{ Package: 'stx:libjava/benchmarks' }"

JavaBenchmark subclass:#Ary
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Benchmarks-Java-Micro'
!


!Ary methodsFor:'running'!

runAryTest: x with: y with: n
	1 to: 1000 do: [:ignored|
			n to: 1 by: -1 do: [:i| y at: i put: (y at: i) + (x at: i)] ].
!

runBenchmarkS:n 
    | x  y |

    x := (1 to:n) asArray.
    y := Array new:n withAll:0.
    ^ Time 
        millisecondsToRun:[
            self 
                runAryTest:x
                with:y
                with:n
        ].
! !

!Ary class methodsFor:'documentation'!

version_CVS
    ^ '$Header: /cvs/stx/stx/libjava/benchmarks/Ary.st,v 1.3 2013-09-06 00:41:32 vrany Exp $'
!

version_HG

    ^ '$Changeset: <not expanded> $'
!

version_SVN
    ^ 'Id::                                                                                                                        '
! !

